mt_srand
pi
Math Functions
PHP Manual

# octdec

(PHP 4, PHP 5)

octdec — Octal to decimal

### Description

number octdec ( string `$octal_string` )

Returns the decimal equivalent of the octal number represented by the `octal_string` argument.

### Parameters

`octal_string`

  The octal string to convert

### Return Values

The decimal representation of `octal_string`

### Examples

Example #1 octdec() example

`<?php
echo octdec('77') . "\n";
echo octdec(decoct(45));
?>`

The above example will output:

    63
    45

### Notes

> Note:

> The function can convert numbers that are too large to fit into the platforms integer type, larger values are returned as float in that case.

### See Also

- decoct() - Decimal to octal
- bindec() - Binary to decimal
- hexdec() - Hexadecimal to decimal
- base_convert() - Convert a number between arbitrary bases

mt_srand
pi
Math Functions
PHP Manual